
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 0000000000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
-- Ticket 2024077493 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0003 --*/
-- Ticket 2024077493 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'FILREMESSADIFERENTE', 'Permite emisso de nota de Remessa diferente da nota de Fatura?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'FILREMESSADIFERENTE'));

/*-- SEQ 0004 --*/
-- Ticket 2024077493 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0005 --*/
-- Tarefa 2024077493 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0006 --*/
-- Tarefa 2024077493 --
INSERT INTO TT_IPC (ID_IPC, ID_PCS, IPCATI, VLRBOO, DATINC, ATU_EM)
SELECT SQIPC.NEXTVAL, PCS.ID_PCS, 'T', 'F', AGORA(), AGORA()
  FROM TT_PCS PCS
 WHERE PCS.NOMPCS = 'FILREMESSADIFERENTE'
   AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS)
   AND NOT EXISTS (SELECT 'OK'
                     FROM TD_FIL
                    WHERE CGCFIL LIKE '05409686000%');
   
/*-- SEQ 0007 --*/
-- Tarefa 2024077493 --   
INSERT INTO TT_IPC (ID_IPC, ID_PCS, IPCATI, VLRBOO, DATINC, ATU_EM)
SELECT SQIPC.NEXTVAL, PCS.ID_PCS, 'T', 'T', AGORA(), AGORA()
  FROM TT_PCS PCS
 WHERE PCS.NOMPCS = 'FILREMESSADIFERENTE'
   AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS)
   AND EXISTS (SELECT 'OK'
                 FROM TD_FIL
                WHERE CGCFIL LIKE '05409686000%');

/*-- SEQ 0008 --*/
-- Tarefa 2024077493 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;


/*-- SEQ 0009 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024034127 --
ALTER TABLE TD_FIL DROP COLUMN CONTA_VENDA_CONJUNTA CASCADE CONSTRAINT;

/*-- SEQ 0010 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024034127 --
DROP INDEX I_FK_FIL_CCC;

/*-- SEQ 0011 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024034127 --
ALTER TABLE TT_CFG ADD CC_VENDACONJUNTA Number(5, 0) ;


/*-- SEQ 0012 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024034127 --
ALTER TABLE TW_CFG ADD CC_VENDACONJUNTA Number(5, 0) ;


/*-- SEQ 0013 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022073397 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_CC_VENDACONJUNTA FOREIGN KEY (CC_VENDACONJUNTA) REFERENCES TD_CCC (CODTAB);

/*-- SEQ 0014 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022073397 --
CREATE INDEX I_FK_CFG_CC_VENDACONJUNTA ON TT_CFG (CC_VENDACONJUNTA) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0015 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024034127 --
CREATE TABLE TT_NMF (
    ID_TAB Number(5), 
    CODFIL CHAR(3),
    NUMECF VARCHAR2(3),
    FILUSU CHAR(3),
    CODUSU VARCHAR2(3),
    DATINC TIMESTAMP,
    ATU_EM TIMESTAMP,
    XMLDOC CLOB,
    FLGEST VARCHAR2(1) DEFAULT 'A',
    MSGRET LONG) TABLESPACE TOTALL_DATA;
    
/*-- SEQ 0016 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024034127 --
ALTER TABLE TT_NMF ADD CONSTRAINT PK_NMF PRIMARY KEY (ID_TAB);
    
/*-- SEQ 0017 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024034127 --
ALTER TABLE TT_NMF ADD CONSTRAINT CK_NMF_FLGEST CHECK (FLGEST IN ('A', 'P', 'F'));

/*-- SEQ 0018 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024034127 --
CREATE SEQUENCE SQNMF INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;


/*-- SEQ 0019 --*/
-- Ticket NovoPOS --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0020 --*/
-- Ticket NovoPOS --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'PERMSANGRIAVALORSUP', 'Permite sangria com valor superior ao recebido no caixa?', 'B', 'T', 'F', 'T', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PERMSANGRIAVALORSUP'));

/*-- SEQ 0021 --*/
-- Ticket NovoPOS --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0022 --*/
-- Ticket NovoPOS --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0023 --*/
-- Ticket NovoPOS --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'PERMSANGRIAVALORSUP'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0024 --*/
-- Ticket NovoPOS --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;


/*-- SEQ 0025 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 0000000000 --
ALTER TABLE TT_GRA ADD GRAXYZ_ANT CHAR(1) ;


/*-- SEQ 0026 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 0000000000 --
ALTER TABLE TT_GRA ADD GRAABC_ANT CHAR(1) ;


/*-- SEQ 0027 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 0000000000 --
ALTER TABLE TT_GRA ADD ABCXYZ_VALOR_TOTAL Number(12,2) ;


/*-- SEQ 0028 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 0000000000 --
ALTER TABLE TT_GRA ADD ABCXYZ_VALOR_ITEM Number(12,2) ;


/*-- SEQ 0029 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 0000000000 --
ALTER TABLE TT_GRA ADD ABCXYZ_VENDAS_TOTAL Number(12,2) ;


/*-- SEQ 0030 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 0000000000 --
ALTER TABLE TT_GRA ADD ABCXYZ_VENDAS_ITEM Number(12,2) ;


/*-- SEQ 0031 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 0000000000 --
ALTER TABLE TT_GRA ADD PERABC_A Number(18,4) ;


/*-- SEQ 0032 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 0000000000 --
ALTER TABLE TT_GRA ADD PERABC_B Number(18,4) ;


/*-- SEQ 0033 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 0000000000 --
ALTER TABLE TT_GRA ADD PERABC_C Number(18,4) ;


/*-- SEQ 0034 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 0000000000 --
ALTER TABLE TT_GRA ADD PERXYZ_X Number(18,4) ;


/*-- SEQ 0035 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 0000000000 --
ALTER TABLE TT_GRA ADD PERXYZ_Y Number(18,4) ;


/*-- SEQ 0036 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 0000000000 --
ALTER TABLE TT_GRA ADD PERXYZ_Z Number(18,4) ;


/*-- SEQ 0037 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 0000000000 --
ALTER TABLE TT_GRA ADD ABCXYZ_VALOR_TOTAL_ANT Number(12,2) ;


/*-- SEQ 0038 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 0000000000 --
ALTER TABLE TT_GRA ADD ABCXYZ_VALOR_ITEM_ANT Number(12,2) ;


/*-- SEQ 0039 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 0000000000 --
ALTER TABLE TT_GRA ADD ABCXYZ_VENDAS_TOTAL_ANT Number(12,2) ;


/*-- SEQ 0040 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 0000000000 --
ALTER TABLE TT_GRA ADD ABCXYZ_VENDAS_ITEM_ANT Number(12,2) ;


/*-- SEQ 0041 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 0000000000 --
ALTER TABLE TT_GRA ADD PERABC_A_ANT Number(18,4) ;


/*-- SEQ 0042 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 0000000000 --
ALTER TABLE TT_GRA ADD PERABC_B_ANT Number(18,4) ;


/*-- SEQ 0043 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 0000000000 --
ALTER TABLE TT_GRA ADD PERABC_C_ANT Number(18,4) ;


/*-- SEQ 0044 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 0000000000 --
ALTER TABLE TT_GRA ADD PERXYZ_X_ANT Number(18,4) ;


/*-- SEQ 0045 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 0000000000 --
ALTER TABLE TT_GRA ADD PERXYZ_Y_ANT Number(18,4) ;


/*-- SEQ 0046 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 0000000000 --
ALTER TABLE TT_GRA ADD PERXYZ_Z_ANT Number(18,4) ;



/*-- SEQ 0047 --*/
-- Ticket 2024101040 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_SAL ADD FLGATI CHAR(1) ;




/*-- SEQ 0048 --*/
-- Ticket 2024025803 --
ALTER TABLE TT_NCM DISABLE ALL TRIGGERS;


/*-- SEQ 0049 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '02071400',
        'Pedaços e miudezas, congelados',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '02071400'));

/*-- SEQ 0050 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '02071411',
        'Pedaços e miudezas, congelados, Peitos',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '02071411'));

/*-- SEQ 0051 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '02071412',
        'Pedaços e miudezas, congelados, Coxas com sobrecoxas',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '02071412'));

/*-- SEQ 0052 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '02071413',
        'Pedaços e miudezas, congelados, Asas',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '02071413'));

/*-- SEQ 0053 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '02071419',
        'Pedaços e miudezas, congelados, Outros',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '02071419'));

/*-- SEQ 0054 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '02071421',
        'Pedaços e miudezas, congelados, Peitos, coxas e sobrecoxas, formando uma só peça',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '02071421'));

/*-- SEQ 0055 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '02071422',
        'Pedaços e miudezas, congelados, Peitos',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '02071422'));

/*-- SEQ 0056 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '02071423',
        'Pedaços e miudezas, congelados, Coxas com sobrecoxas',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '02071423'));

/*-- SEQ 0057 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '02071424',
        'Pedaços e miudezas, congelados, Carne mecanicamente separada',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '02071424'));

/*-- SEQ 0058 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '02071429',
        'Pedaços e miudezas, congelados, Outros',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '02071429'));

/*-- SEQ 0059 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '02071431',
        'Pedaços e miudezas, congelados, Fígados',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '02071431'));

/*-- SEQ 0060 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '02071432',
        'Pedaços e miudezas, congelados, Moelas',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '02071432'));

/*-- SEQ 0061 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '02071433',
        'Pedaços e miudezas, congelados, Corações',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '02071433'));

/*-- SEQ 0062 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '02071434',
        'Pedaços e miudezas, congelados, Pés e patas',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '02071434'));

/*-- SEQ 0063 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '02071439',
        'Pedaços e miudezas, congelados, Outras',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '02071439'));

/*-- SEQ 0064 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '85045000',
        'Acumuladores elétricos e seus separadores, mesmo de forma quadrada ou retangular. Aspiradores. Aparelhos eletromecânicos com motor elétrico incorporado, de uso doméstico, exceto os aspiradores da posição 85. 08.',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '85045000'));

/*-- SEQ 0065 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '48119020',
        'Outros',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '48119020'));

/*-- SEQ 0066 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '85045010',
        'Outros',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '85045010'));

/*-- SEQ 0067 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '85045090',
        'Outros',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '85045090'));

/*-- SEQ 0068 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '27109100',
        'Gás de petróleo e outros hidrocarbonetos gasosos',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '27109100'));

/*-- SEQ 0069 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '28201000',
        'Óxidos e hidróxidos de cobalto; óxidos de cobalto comerciais. Óxidos de titânio. Óxidos de chumbo; mínio (zarcão) e mínio laranja (mine orange)',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '28201000'));

/*-- SEQ 0070 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '28273998',
        'De zinco',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '28273998'));

/*-- SEQ 0071 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '29299021',
        'Dialogenetos de N,N dialquilfosforoamidatos, com grupos alquila de C1 a C3',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '29299021'));

/*-- SEQ 0072 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '29299022',
        'N,N Dialquilfosforoamidatos de dialquila, com grupos alquila de C1 a C3',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '29299022'));

/*-- SEQ 0073 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '29299029',
        'Outros',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '29299029'));

/*-- SEQ 0074 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '29314930',
        'Outros compostos que contenham um átomo de fósforo ligado a um grupo alquila (de C1 a C3) , sem outros átomos de carbono',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '29314930'));

/*-- SEQ 0075 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '29398000',
        'Alcaloides, naturais ou reproduzidos por síntese, seus sais, éteres, ésteres e outros derivados',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '29398000'));

/*-- SEQ 0076 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '30024993',
        'Saxitoxina',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '30024993'));

/*-- SEQ 0077 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '39072990',
        'Poliacetais, outros poliéteres e resinas epóxidas, em formas primárias; policarbonatos, resinas alquídicas, poliésteres alílicos e outros poliésteres, em formas primárias',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '39072990'));

/*-- SEQ 0078 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '39172200',
        'Revestimentos de pisos (pavimentos) , de plástico, mesmo auto adesivos, em rolos ou em forma de ladrilhos ou de mosaicos; revestimentos de paredes ou de tetos, de plástico',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '39172200'));

/*-- SEQ 0079 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '48119010',
        'Em tiras ou rolos de largura não superior a 15 cm ou em folhas em que nenhum lado exceda 360 mm, quando não dobradas',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '48119010'));

/*-- SEQ 0080 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '74094010',
        'Em rolos',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '74094010'));
					 
/*-- SEQ 0081 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '85059010',
        'Eletroímãs; ímãs permanentes e artefatos destinados a tornarem se ímãs permanentes após magnetização',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '85059010'));

/*-- SEQ 0082 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '85441910',
        'Fios, cabos (incluídos os cabos coaxiais) e outros condutores, isolados para usos elétricos (incluídos os envernizados ou oxidados anodicamente) , mesmo com peças de conexão',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '85441910'));

/*-- SEQ 0083 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '90029000',
        'Outros',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '90029000'));

/*-- SEQ 0084 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '90029090',
        'Outros',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '90029090'));

/*-- SEQ 0085 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '90029010',
        'Comutadores (switches) optomecânicos, do tipo utilizado em redes ópticas de transmissão de dados, próprios para montagem por inserção (PTH -Pin Through Hole)',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '90029010'));

/*-- SEQ 0086 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '85441919',
        'De aluminio, Outros',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '85441919'));

/*-- SEQ 0087 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '85441911',
        'De aluminio, Revestido de cobre (CCA - Copper Clad Aluminum)',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '85441911'));

/*-- SEQ 0088 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '85059019',
        'Eletroimâs, Outros',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '85059019'));

/*-- SEQ 0089 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '85059011',
        'Eletroimâs, Do tipo utilizado em aparelhos de diagnóstico de imagem por ressonância magnética',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '85059011'));

/*-- SEQ 0090 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '85043193',
        'Outros, de largura e comprimento não superior a 50 mm e altura não superior a 25 mm, próprios para montagem por inserção (PTH - Pin Through Hole) ou montagem em superfície (SMD -Surface Mounted Device)',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '85043193'));

/*-- SEQ 0091 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '84502020',
        'Outras máquinas, de capacidade não superior a 18 kg',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '84502020'));

/*-- SEQ 0092 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '74094019',
        'Em rolos, Outras',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '74094019'));

/*-- SEQ 0093 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '74094011',
        'Em rolos, De liga de cobreniquelsilício, galvanizadas',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '74094011'));

/*-- SEQ 0094 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '48119019',
        'Em tiras ou rolos de largura não superior a 15 cm ou em folhas em que nenhum lado exceda 360 mm, quando não dobradas, Outros',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '48119019'));

/*-- SEQ 0095 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '48119011',
        'Em tiras ou rolos de largura não superior a 15 cm ou em folhas em que nenhum lado exceda 360 mm, quando não dobradas, Recobertos de pasta eletrolítica à base de amido modificado, de peso igual ou superior a 75 g/m², mas não superior a 120 g/m²',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '48119011'));

/*-- SEQ 0096 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '39172290',
        'De polímeros de propileno, Outros',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '39172290'));

/*-- SEQ 0097 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '39172210',
        'De polímeros de propileno, De seção transversal interna redonda de diâmetro inferior a 6 mm e externa hexagonal',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '39172210'));

/*-- SEQ 0098 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '39072999',
        'Outros',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '39072999'));

/*-- SEQ 0099 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '39072991',
        'Outros, Poliacetal poliéter (PAPE)',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '39072991'));

/*-- SEQ 0100 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '38249969',
        'Outros',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '38249969'));

/*-- SEQ 0101 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '38249962',
        'À base de hexafluoreto de enxofre',
        3,
        'T',
        AGORA(),
        AGORA()
		
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '38249962'));

/*-- SEQ 0102 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '29398090',
        'Outros',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '29398090'));

/*-- SEQ 0103 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '29398010',
        'Outros, Saxitoxina',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '29398010'));

/*-- SEQ 0104 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '29333942',
        'Outros',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '29333942'));

/*-- SEQ 0105 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '29333941',
        'Outros compostos que contenham um átomo de fósforo ligado a um grupo alquila (de C1 a C3 ), sem outros átomos de carbono, Dibrometo de 1-[N,N-dialquila (de até C10 ) -N- (n-(ciano, acetoxi)alquil (de até C10 ))amônio]- n-[N-(3-dimetilcarbamoxi-alfapicolinil)-N,N-dialquil (de até C10 ) amônio]decano (n=1-8)',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '29333941'));

/*-- SEQ 0106 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '29333936',
        'Outros compostos que contenham um átomo de fósforo ligado a um grupo alquila (de C1 a C3 ), sem outros átomos de carbono, Dibrometo de 1-[N,N-dialquila (de até C10 ) -N- (nhidroxialquil (de até C10 ))amônio]-n-[N-(3-dimetilcarbamoxi-alfapicolinil)-N,N-dialquil (de até C10 ) amônio]decano (n=1-8)',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '29333936'));

/*-- SEQ 0107 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '29315998',
        'Outros compostos que contenham um átomo de fósforo ligado a um grupo alquila (de C1 a C3 ), sem outros átomos de carbono, Outros compostos que contenham um átomo de fósforo ligado a um grupo alquila (de C1 a C3 ) mas sem outros átomos de carbono',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '29315998'));

/*-- SEQ 0108 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '29315996',
        'Outros compostos que contenham um átomo de fósforo ligado a um grupo alquila (de C1 a C3 ), sem outros átomos de carbono, (Bis(dietilamina)metileno)fosfonamidofluoridato de metila',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '29315996'));

/*-- SEQ 0109 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '29315995',
        'Outros compostos que contenham um átomo de fósforo ligado a um grupo alquila (de C1 a C3 ), sem outros átomos de carbono, Fosfonamidofluoridatos de P-alquila (de até C10, incluindo cicloalquila) N-(1-(dialquila (de até C10 , incluindo cicloalquila)amino))alquilideno (H ou de até C10 , incluindo cicloalquila) e sais alquilados ou protonados destes produtos',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '29315995'));

/*-- SEQ 0110 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '29314939',
        'Outros compostos que contenham um átomo de fósforo ligado a um grupo alquila (de C1 a C3 ), sem outros átomos de carbono, Outros',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '29314939'));

/*-- SEQ 0111 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '29314932',
        'Outros compostos que contenham um átomo de fósforo ligado a um grupo alquila (de C1 a C3 ), sem outros átomos de carbono, Metilfosfonato de bis(1-metilpentila)',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '29314932'));

/*-- SEQ 0112 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '29314931',
        'Outros compostos que contenham um átomo de fósforo ligado a um grupo alquila (de C1 a C3 ), sem outros átomos de carbono, Metilfosfinato de butila',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '29314931'));

/*-- SEQ 0113 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '29299060',
        'Outros, Fosforamidofluoridatos de O-alquila (H ou de até C10 , incluindo cicloalquila) N-(1-(dialquila (de até C10 , incluindo cicloalquila)amino))alquilideno (H ou de até C10 , incluindo cicloalquila) e sais alquilados ou protonados destes produtos',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '29299060'));

/*-- SEQ 0114 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '29299050',
        'Outros, Fosfonamidofluoridatos de N-(1-(dialquila (de até C10 , incluindo cicloalquila)amino))alquilideno (H ou de até C10 , incluindo cicloalquila) e sais alquilados ou protonados destes produtos',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '29299050'));

/*-- SEQ 0115 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '29299040',
        'Outros, N,Ndialquilfosforoamidatos de dialquila, com grupos alquila de C a C3',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '29299040'));

/*-- SEQ 0116 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '29299039',
        'N,Ndialquilfosforoamidatos de dialquila, com grupos alquila de C a C3, Outros',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '29299039'));

/*-- SEQ 0117 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '29299031',
        'Dialogenetos de N,Ndialquilfosforoamidatos, com grupos alquila de C a C3, Dicloreto de N,N-dimetilfosfooamídico',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '29299031'));

/*-- SEQ 0118 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '28439040',
        'De zinco, Tricloreto de rutênio, em pó',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '28439040'));

/*-- SEQ 0119 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '28273939',
        'De zinco, Outros',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '28273939'));

/*-- SEQ 0120 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '28273931',
        'De zinco, Anidro, com teor de ZnCl2 igual ou superior a 09%, em peso',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '28273931'));

/*-- SEQ 0121 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '28201090',
        'Dióxido de manganês, Outros',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '28201090'));

/*-- SEQ 0122 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '28201010',
        'Dióxido de manganês, Com um teor de MnO igual ou superior a 91 %, em peso (manganês eletrolítico)',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '28201010'));

/*-- SEQ 0123 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '27109190',
        'Outros',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '27109190'));

/*-- SEQ 0124 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '27109120',
        'Que contenham bifenilas policloradas (PCB), terfenilas policloradas (PCT) ou bifenilas polibromadas (PBB), Outros, que contenham terfenilas policloradas (PCT) ou bifenilas polibromadas (PBB), mesmo que também contenham bifenilas policloradas (PCB) numa concentração inferior a 50 mg/kg',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '27109120'));

/*-- SEQ 0125 --*/
-- Ticket 2024025803 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '27109110',
        'Que contenham bifenilas policloradas (PCB), terfenilas policloradas (PCT) ou bifenilas polibromadas (PBB), Que contenham bifenilas policloradas (PCB) numa concentração igual ou superior a 50 mg/kg',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '27109110'));

/*-- SEQ 0126 --*/
-- Ticket 2024025803 --
ALTER TABLE TT_NCM ENABLE ALL TRIGGERS;


/*-- SEQ 0127 --*/
-- Ticket 2024025803 --
ALTER TABLE TT_NCM DISABLE ALL TRIGGERS;


/*-- SEQ 0128 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '2071400'
   AND AGORA() >= TO_DATE('31/10/2024','dd/mm/yyyy');
   
/*-- SEQ 0129 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '85045000'
   AND AGORA() >= TO_DATE('30/09/2024','dd/mm/yyyy');
   
/*-- SEQ 0130 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '27109100'
   AND AGORA() >= TO_DATE('30/06/2024','dd/mm/yyyy');
   
/*-- SEQ 0131 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '28201000'
   AND AGORA() >= TO_DATE('30/06/2024','dd/mm/yyyy');
   
/*-- SEQ 0132 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '28273998'
   AND AGORA() >= TO_DATE('30/06/2024','dd/mm/yyyy');
   
/*-- SEQ 0133 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '29299021'
   AND AGORA() >= TO_DATE('30/06/2024','dd/mm/yyyy');
   
/*-- SEQ 0134 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '29299022'
   AND AGORA() >= TO_DATE('30/06/2024','dd/mm/yyyy');
   
/*-- SEQ 0135 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '29299029'
   AND AGORA() >= TO_DATE('30/06/2024','dd/mm/yyyy');
   
/*-- SEQ 0136 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '29314930'
   AND AGORA() >= TO_DATE('30/06/2024','dd/mm/yyyy');
   
/*-- SEQ 0137 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '29398000'
   AND AGORA() >= TO_DATE('30/06/2024','dd/mm/yyyy');
   
/*-- SEQ 0138 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '30024993'
   AND AGORA() >= TO_DATE('30/06/2024','dd/mm/yyyy');
   
/*-- SEQ 0139 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '39072990'
   AND AGORA() >= TO_DATE('30/06/2024','dd/mm/yyyy');
   
/*-- SEQ 0140 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '39172200'
   AND AGORA() >= TO_DATE('30/06/2024','dd/mm/yyyy');
   
/*-- SEQ 0141 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '48119010'
   AND AGORA() >= TO_DATE('30/06/2024','dd/mm/yyyy');
   
/*-- SEQ 0142 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '74094010'
   AND AGORA() >= TO_DATE('30/06/2024','dd/mm/yyyy');
   
/*-- SEQ 0143 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '85059010'
   AND AGORA() >= TO_DATE('30/06/2024','dd/mm/yyyy');
   
/*-- SEQ 0144 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '85441910'
   AND AGORA() >= TO_DATE('30/06/2024','dd/mm/yyyy');
   
/*-- SEQ 0145 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '90029000'
   AND AGORA() >= TO_DATE('30/06/2024','dd/mm/yyyy');
   
/*-- SEQ 0146 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '48119020'
   AND AGORA() >= TO_DATE('01/07/2024','dd/mm/yyyy');
   
/*-- SEQ 0147 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '85045010'
   AND AGORA() >= TO_DATE('01/07/2024','dd/mm/yyyy');
   
/*-- SEQ 0148 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '85045090'
   AND AGORA() >= TO_DATE('01/07/2024','dd/mm/yyyy');
   
/*-- SEQ 0149 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '90029090'
   AND AGORA() >= TO_DATE('01/04/2024','dd/mm/yyyy');
   
/*-- SEQ 0150 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '90029010'
   AND AGORA() >= TO_DATE('01/04/2024','dd/mm/yyyy');
   
/*-- SEQ 0151 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '85441919'
   AND AGORA() >= TO_DATE('01/04/2024','dd/mm/yyyy');
   
/*-- SEQ 0152 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '85441911'
   AND AGORA() >= TO_DATE('01/04/2024','dd/mm/yyyy');
   
/*-- SEQ 0153 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '85059019'
   AND AGORA() >= TO_DATE('01/04/2024','dd/mm/yyyy');
   
/*-- SEQ 0154 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '85059011'
   AND AGORA() >= TO_DATE('01/04/2024','dd/mm/yyyy');
   
/*-- SEQ 0155 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '85043193'
   AND AGORA() >= TO_DATE('01/04/2024','dd/mm/yyyy');
   
/*-- SEQ 0156 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '84502020'
   AND AGORA() >= TO_DATE('01/04/2024','dd/mm/yyyy');
   
/*-- SEQ 0157 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '74094019'
   AND AGORA() >= TO_DATE('01/04/2024','dd/mm/yyyy');
   
/*-- SEQ 0158 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '74094011'
   AND AGORA() >= TO_DATE('01/04/2024','dd/mm/yyyy');
   
/*-- SEQ 0159 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '48119019'
   AND AGORA() >= TO_DATE('01/04/2024','dd/mm/yyyy');
   
/*-- SEQ 0160 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '48119011'
   AND AGORA() >= TO_DATE('01/04/2024','dd/mm/yyyy');
   
/*-- SEQ 0161 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '39172290'
   AND AGORA() >= TO_DATE('01/04/2024','dd/mm/yyyy');
   
/*-- SEQ 0162 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '39172210'
   AND AGORA() >= TO_DATE('01/04/2024','dd/mm/yyyy');
   
/*-- SEQ 0163 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '39072999'
   AND AGORA() >= TO_DATE('01/04/2024','dd/mm/yyyy');
   
/*-- SEQ 0164 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '39072991'
   AND AGORA() >= TO_DATE('01/04/2024','dd/mm/yyyy');
   
/*-- SEQ 0165 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '38249969'
   AND AGORA() >= TO_DATE('01/04/2024','dd/mm/yyyy');
   
/*-- SEQ 0166 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '38249962'
   AND AGORA() >= TO_DATE('01/04/2024','dd/mm/yyyy');
   
/*-- SEQ 0167 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '38249961'
   AND AGORA() >= TO_DATE('01/04/2024','dd/mm/yyyy');
   
/*-- SEQ 0168 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '29398090'
   AND AGORA() >= TO_DATE('01/04/2024','dd/mm/yyyy');
   
/*-- SEQ 0169 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '29398010'
   AND AGORA() >= TO_DATE('01/04/2024','dd/mm/yyyy');
   
/*-- SEQ 0170 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '29333942'
   AND AGORA() >= TO_DATE('01/04/2024','dd/mm/yyyy');
   
/*-- SEQ 0171 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '29333941'
   AND AGORA() >= TO_DATE('01/04/2024','dd/mm/yyyy');
   
/*-- SEQ 0172 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '29333936'
   AND AGORA() >= TO_DATE('01/04/2024','dd/mm/yyyy');
   
/*-- SEQ 0173 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '29315998'
   AND AGORA() >= TO_DATE('01/04/2024','dd/mm/yyyy');
   
/*-- SEQ 0174 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '29315996'
   AND AGORA() >= TO_DATE('01/04/2024','dd/mm/yyyy');
   
/*-- SEQ 0175 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '29315995'
   AND AGORA() >= TO_DATE('01/04/2024','dd/mm/yyyy');
   
/*-- SEQ 0176 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '29314939'
   AND AGORA() >= TO_DATE('01/04/2024','dd/mm/yyyy');
   
/*-- SEQ 0177 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '29314932'
   AND AGORA() >= TO_DATE('01/04/2024','dd/mm/yyyy');
   
/*-- SEQ 0178 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '29314931'
   AND AGORA() >= TO_DATE('01/04/2024','dd/mm/yyyy');
   
/*-- SEQ 0179 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '29299060'
   AND AGORA() >= TO_DATE('01/04/2024','dd/mm/yyyy');
   
/*-- SEQ 0180 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '29299050'
   AND AGORA() >= TO_DATE('01/04/2024','dd/mm/yyyy');
   
/*-- SEQ 0181 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '29299040'
   AND AGORA() >= TO_DATE('01/04/2024','dd/mm/yyyy');
   
/*-- SEQ 0182 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '29299039'
   AND AGORA() >= TO_DATE('01/04/2024','dd/mm/yyyy');
   
/*-- SEQ 0183 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '29299031'
   AND AGORA() >= TO_DATE('01/04/2024','dd/mm/yyyy');
   
/*-- SEQ 0184 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '28439040'
   AND AGORA() >= TO_DATE('01/04/2024','dd/mm/yyyy');
   
/*-- SEQ 0185 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '28273939'
   AND AGORA() >= TO_DATE('01/04/2024','dd/mm/yyyy');
   
/*-- SEQ 0186 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '28273931'
   AND AGORA() >= TO_DATE('01/04/2024','dd/mm/yyyy');
   
/*-- SEQ 0187 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '28201090'
   AND AGORA() >= TO_DATE('01/04/2024','dd/mm/yyyy');
   
/*-- SEQ 0188 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '28201010'
   AND AGORA() >= TO_DATE('01/04/2024','dd/mm/yyyy');
   
/*-- SEQ 0189 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '27919190'
   AND AGORA() >= TO_DATE('01/04/2024','dd/mm/yyyy');
   
/*-- SEQ 0190 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '27109120'
   AND AGORA() >= TO_DATE('01/04/2024','dd/mm/yyyy');
   
/*-- SEQ 0191 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'T'
 WHERE FLGATI = 'F'
   AND CODNCM = '27109110'
   AND AGORA() >= TO_DATE('01/04/2024','dd/mm/yyyy');

/*-- SEQ 0192 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '27919190'
   AND AGORA() >= TO_DATE('02/01/2025','dd/mm/yyyy');
   
   
/*-- SEQ 0193 --*/
-- Ticket 2024025803 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '27109190'
   AND AGORA() >= TO_DATE('02/01/2025','dd/mm/yyyy');
   
/*-- SEQ 0194 --*/
-- Ticket 2024025803 --
ALTER TABLE TT_NCM ENABLE ALL TRIGGERS;


/*-- SEQ 0195 --*/
-- Ticket 2024096014 --
UPDATE TT_CLI 
   SET ATU_EM = AGORA()
 WHERE TRIM(COALESCE(INSEST, '')) = '';


/*-- SEQ 0196 --*/
-- Ticket 2024112213 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_VEN ADD NUMDOC VARCHAR2(20) ;



/*-- SEQ 0197 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024076961 --
SELECT * FROM NADA;


/*-- SEQ 0198 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024076961 --
SELECT * FROM NADA;


/*-- SEQ 0199 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024076961 --
SELECT * FROM NADA;


/*-- SEQ 0200 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024076961 --
SELECT * FROM NADA;


/*-- SEQ 0201 --*/
-- Ticket 2024127916 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CLI ADD CLISER VARCHAR2(2) ;



/*-- SEQ 0202 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024084672 --
ALTER TABLE TT_IPE DROP CONSTRAINT CK_IPE_QTDCAN;


/*-- SEQ 0203 --*/
-- Ticket 2024124916 --
CREATE TABLE TD_ORI (
  CODTAB Number(5),
  ORIVEN VARCHAR2(60)) TABLESPACE TOTALL_DATA;

/*-- SEQ 0204 --*/
-- Ticket 2024124916 --
ALTER TABLE TD_ORI ADD CONSTRAINT PK_DORI PRIMARY KEY (CODTAB);

/*-- SEQ 0205 --*/
-- Ticket 2024124916 --
ALTER TABLE TD_ORI MODIFY (CODTAB CONSTRAINT NN_DORI_CODTAB NOT NULL);


/*-- SEQ 0206 --*/
-- Ticket 2024124916 --
ALTER TABLE TD_ORI MODIFY (ORIVEN CONSTRAINT NN_DORI_ORIVEN NOT NULL);


/*-- SEQ 0207 --*/
-- Ticket 2024124916 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD ORIVEN VARCHAR2(60) ;


/*-- SEQ 0208 --*/
-- Ticket 2024124916 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ORC ADD ORIVEN VARCHAR2(60) ;


/*-- SEQ 0209 --*/
-- Ticket 2024124916 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ORC ADD RDSENV VARCHAR2(2) ;


/*-- SEQ 0210 --*/
-- Ticket 2024124916 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ORC ADD RDSINT VARCHAR2(1) ;


/*-- SEQ 0211 --*/
-- Ticket 2024124916 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ORC ADD RDSDTI timestamp ;



/*-- SEQ 0212 --*/
-- Ticket 2024034127 --
ALTER TABLE TT_PRO ADD FILFAT_NOVO CHAR(3) ;


/*-- SEQ 0213 --*/
-- Ticket 2024034127 --
UPDATE TT_PRO SET FILFAT_NOVO=FILFAT;

/*-- SEQ 0214 --*/
-- Ticket 2024034127 --
ALTER TABLE TT_PRO DROP CONSTRAINT FK_PRO_DFIL_FILFAT;

/*-- SEQ 0215 --*/
/*-- IGNORE ERRO --*/
DROP INDEX FK_PRO_DFIL_FILFAT;

/*-- SEQ 0216 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024034127 --
DROP INDEX I_FK_PRO_DFIL_FILFAT;

/*-- SEQ 0217 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024034127 --
ALTER TABLE TT_PRO DROP COLUMN FILFAT CASCADE CONSTRAINT;

/*-- SEQ 0218 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024034127 --
ALTER TABLE TT_PRO RENAME COLUMN FILFAT_NOVO TO FILFAT;

/*-- SEQ 0219 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024034127 --
ALTER TABLE TT_PRO ADD CONSTRAINT FK_PRO_DFIL_FILFAT FOREIGN KEY (FILFAT) REFERENCES TD_FIL (CODFIL);

/*-- SEQ 0220 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024034127 --
CREATE INDEX I_FK_PRO_DFIL_FILFAT ON TT_PRO (FILFAT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0221 --*/
-- Ticket 2024034127 --
CREATE TABLE TT_NMF_NOVA (
    ID_TAB Number,
    CODFIL CHAR(3),
    NUMECF VARCHAR2(3),
    FILUSU CHAR(3),
    CODUSU VARCHAR2(3),
    DATINC TIMESTAMP,
    ATU_EM TIMESTAMP,
    XMLDOC CLOB,
    FLGEST VARCHAR2(1) DEFAULT 'A',
    MSGRET LONG) TABLESPACE TOTALL_DATA;

/*-- SEQ 0222 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024034127 --
INSERT INTO TT_NMF_NOVA (ID_TAB, CODFIL, NUMECF, CODUSU, DATINC, ATU_EM, XMLDOC, FLGEST, MSGRET) 
    SELECT NMF.ID_TAB, NMF.CODFIL, NMF.NUMECF, NMF.CODUSU, NMF.DATINC, NMF.ATU_EM, NMF.XMLDOC, NMF.FLGEST, 
    TO_LOB(NMF.MSGRET)  FROM TT_NMF NMF;
 
/*-- SEQ 0223 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024034127 --
DROP TABLE TT_NMF;

/*-- SEQ 0224 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024034127 --
ALTER TABLE TT_NMF_NOVA RENAME TO TT_NMF;
    
/*-- SEQ 0225 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024034127 --
ALTER TABLE TT_NMF ADD CONSTRAINT PK_NMF PRIMARY KEY (ID_TAB);
    
/*-- SEQ 0226 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024034127 --
ALTER TABLE TT_NMF ADD CONSTRAINT CK_NMF_FLGEST CHECK (FLGEST IN ('A', 'P', 'F'));


/*-- SEQ 0227 --*/
-- Ticket 2024025856 --
UPDATE TT_USU SET ATU_EM = AGORA();


/*-- SEQ 0228 --*/
-- Ticket 2024127374 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0229 --*/
-- Ticket 2024127374 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'EXIBIR_PARC_FILIAIS', 'Exibir parcelas apenas da filial do PoS?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'EXIBIR_PARC_FILIAIS'));
                     
/*-- SEQ 0230 --*/
-- Ticket 2024127374 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0231 --*/
-- Ticket 2024127374 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0232 --*/
-- Ticket 2024127374 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'EXIBIR_PARC_FILIAIS'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
    
/*-- SEQ 0233 --*/
-- Ticket 2024127374 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;


/*-- SEQ 0234 --*/
-- Ticket 2025011257 --
ALTER TABLE TT_IUF ADD CREDPRESCOD VARCHAR2(10) ;


/*-- SEQ 0235 --*/
-- Ticket 2025011257 --
ALTER TABLE TT_IUF ADD CREDPRESPER Number(6,4) ;


/*-- SEQ 0236 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2025011257 --
SELECT * FROM NADA;

/*-- SEQ 0237 --*/
-- Ticket 2025011257 --
ALTER TABLE TT_IUF ADD CODBENRBC VARCHAR2(10) ;



/*-- SEQ 0238 --*/
-- Ticket 2023121653 --
CREATE TABLE TI_CPM (
  CODFIL VARCHAR2(3),
  CODEXT VARCHAR2(10),
  CODPGT VARCHAR2(10),
  CODUSU VARCHAR2(10),
  DATINC TIMESTAMP,
  DATINI TIMESTAMP,
  DATVAL TIMESTAMP,
  DATCRI TIMESTAMP,
  FILPRO VARCHAR2(3),
  QTDCPM Number(12,4),
  QTDMIN Number(12,4),
  PRECOP Number(10,2),
  DESPRE VARCHAR2(30),
  MOTREJ VARCHAR2(255),
  DATIMP TIMESTAMP,
  STATUS Number(1,0),
  ID_ICPM Number(10,0)
);

/*-- SEQ 0239 --*/
-- Ticket 2023121653 --
ALTER TABLE TI_CPM ADD CONSTRAINT PK_ICPM PRIMARY KEY (ID_ICPM);

/*-- SEQ 0240 --*/
-- Ticket 2023121653 --
ALTER TABLE TI_CPM ADD CONSTRAINT CK_ICPM_DATIMP CHECK (((DATIMP IS NOT NULL) AND (STATUS <> 0)) OR ((DATIMP IS NULL) AND (STATUS = 0)));

/*-- SEQ 0241 --*/
-- Ticket 2023121653 --
CREATE INDEX I_LC_ICPM_CODEXT ON TI_CPM (CODEXT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0242 --*/
-- Ticket 2023121653 --
CREATE INDEX I_LC_ICPM_STATUS ON TI_CPM (STATUS) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0243 --*/
-- Ticket 2023121653 --
ALTER TABLE TI_CPM MODIFY (ID_ICPM CONSTRAINT NN_ICPM_ID_ICPM NOT NULL);


/*-- SEQ 0244 --*/
-- Ticket 2023121653 ---
ALTER TABLE TI_CPM MODIFY (DATCRI CONSTRAINT NN_ICPM_DATCRI NOT NULL);



/*-- SEQ 0245 --*/
-- Ticket 2023121653 --
CREATE SEQUENCE SQICPM INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0246 --*/
-- Ticket 2023121653 --
INSERT INTO TT_IED(TABELA, IMPORT, EXPORT, INCLUI, EXCLUI, ALTERA, MANTEM)
VALUES
('CPM', 'F', 'F', 'F', 'F', 'F', 'F');


/*-- SEQ 0247 --*/
-- Ticket 2025012514 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;

/*-- SEQ 0248 --*/
-- Ticket 2025012514 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'BUSCAR_CLI_CHAVE_POS', 'Permitir filtrar o cliente atravs da Chave no PoS Pro?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'BUSCAR_CLI_CHAVE_POS'));
/*-- SEQ 0249 --*/
-- Ticket 2025012514 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;
/*-- SEQ 0250 --*/
-- Ticket 2025012514 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;

/*-- SEQ 0251 --*/
-- Ticket 2025012514 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'BUSCAR_CLI_CHAVE_POS'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
/*-- SEQ 0252 --*/
-- Ticket 2025012514 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;


/*-- SEQ 0253 --*/
-- Ticket 2025011257 --
ALTER TABLE TT_IVE ADD CREDPRESCOD VARCHAR2(10) ;


/*-- SEQ 0254 --*/
-- Ticket 2025011257 --
ALTER TABLE TT_IVE ADD CREDPRESPER Number(6,4) ;


/*-- SEQ 0255 --*/
-- Ticket 2025011257 --
ALTER TABLE TT_IVE ADD CREDPRESVAL Number(12,2) ;


/*-- SEQ 0256 --*/
-- Ticket 2025011257 --
ALTER TABLE TT_IVE ADD CODBENRBC VARCHAR2(10) ;


